log1p
max
Math Functions
PHP Manual

# log

(PHP 4, PHP 5)

log — Natural logarithm

### Description

float log ( float `$arg` [, float `$base` ] )

If the optional `base` parameter is specified, log() returns logbase `arg` , otherwise log() returns the natural logarithm of `arg` .

### Parameters

`arg`

  The value to calculate the logarithm for

`base`

  The optional logarithmic base to use (defaults to 'e' and so to the natural logarithm).

### Return Values

The logarithm of `arg` to `base` , if given, or the natural logarithm.

### ChangeLog

Version | Description
--- | ---
Since 4.3.0 | The optinal parameter `base` became available. For older versions you can calculate the logarithm in base b of a number n, but using the mathematical identity: logb(n) = log(n)/log(b), where log is the neperian (or natural) logarithm.

### See Also

- log10()
- exp()
- pow()

log1p
max
Math Functions
PHP Manual